<?php
/**
 * Register Custom post types	
 */

function eduline_cpt(){
	// Service Labels
	$service_labels = array(
		'name' => __("Service", 'eduline-pro'),
		'singular_name' => __("Service", 'eduline-pro'),
		'menu_name' => 'Service',
		'add_new' => __("Add New", 'eduline-pro'),
		'add_new_item' => __("Add New Service",'eduline-pro'),
		'edit_item' => __("Edit Service",'eduline-pro'),
		'new_item' => __("New Service",'eduline-pro'),
		'view_item' => __("View Service",'eduline-pro'),
		'search_items' => __("Search Service",'eduline-pro'),
		'not_found' =>  __("No Service Found",'eduline-pro'),
		'not_found_in_trash' => __("No Service Found in Trash",'eduline-pro'),
		'parent_item_colon' => '',
	);

	// Service Arguments
	$service_args = array(
		'labels' => $service_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-admin-page',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('service_categories','post_tag')
	);

	// Team Labels
	$team_labels = array(
		'name' => __("Team", 'eduline-pro'),
		'singular_name' => __("Team", 'eduline-pro'),
		'menu_name' => 'Team Profiles',
		'add_new' => __("Add New", 'eduline-pro'),
		'add_new_item' => __("Add New Profile",'eduline-pro'),
		'edit_item' => __("Edit Profile",'eduline-pro'),
		'new_item' => __("New Profile",'eduline-pro'),
		'view_item' => __("View Profile",'eduline-pro'),
		'search_items' => __("Search Profiles",'eduline-pro'),
		'not_found' =>  __("No Profiles Found",'eduline-pro'),
		'not_found_in_trash' => __("No Profiles Found in Trash",'eduline-pro'),
		'parent_item_colon' => ''
	);

	//Team Arguments 
	$team_args = array(
		'labels' => $team_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 7,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-groups',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('team_categories','post_tag'),
	);

	// Testimonials Labels
	$testimonial_labels = array(
		'name' => __("Testimonials", 'eduline-pro'),
		'singular_name' => __("Testimonial", 'eduline-pro'),
		'menu_name' => 'Testimonial',
		'add_new' => __("Add New", 'eduline-pro'),
		'add_new_item' => __("Add New testimonial",'eduline-pro'),
		'edit_item' => __("Edit testimonial",'eduline-pro'),
		'new_item' => __("New testimonial",'eduline-pro'),
		'view_item' => __("View testimonial",'eduline-pro'),
		'search_items' => __("Search testimonials",'eduline-pro'),
		'not_found' =>  __("No Testimonial Found",'eduline-pro'),
		'not_found_in_trash' => __("No Testimonial Found in Trash",'eduline-pro'),
		'parent_item_colon' => '',
	);

	// Testimonials Arguments
	$testimonial_args = array(
		'labels' => $testimonial_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 9,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-format-quote',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('testimonials_categories','post_tag'),
	);

	// event Labels
	$event_labels = array(
		'name' => __("Event", 'eduline-pro'),
		'singular_name' => __("Event", 'eduline-pro'),
		'menu_name' => 'Events',
		'add_new' => __("Add New", 'eduline-pro'),
		'add_new_item' => __("Add New event",'eduline-pro'),
		'edit_item' => __("Edit event",'eduline-pro'),
		'new_item' => __("New event",'eduline-pro'),
		'view_item' => __("View event",'eduline-pro'),
		'search_items' => __("Search events",'eduline-pro'),
		'not_found' =>  __("No event Found",'eduline-pro'),
		'not_found_in_trash' => __("No event Found in Trash",'eduline-pro'),
		'parent_item_colon' => '',
	);

	// event Arguments
	$event_args = array(
		'labels' => $event_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-media-text',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('event_categories','post_tag')
	);

	register_post_type( 'service' , $service_args );
	register_post_type( 'team' , $team_args );
	register_post_type( 'testimonial' , $testimonial_args );
	register_post_type( 'event' , $event_args );
}

add_action( 'init', 'eduline_cpt');

function eduline_service_taxonomy() {  
	register_taxonomy(  
		'service_categories', 
        'service',        //post type name
        array(  
        	'hierarchical' => true,  
        	'label' => 'Service Categories',
        	'query_var' => true
        )  
    );  
}  

add_action( 'init', 'eduline_service_taxonomy');

function eduline_team_taxonomy() {  
    register_taxonomy(  
        'team_categories', 
        'team',        //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Team Categories',
            'query_var' => true
        )  
    );  
}  
add_action( 'init', 'eduline_team_taxonomy');


function eduline_testimonial_taxonomy() {  
	register_taxonomy(  
		'testimonial_categories', 
        'testimonial',        //post type name
        array(  
        	'hierarchical' => true,  
        	'label' => 'Testimonial Categories',
        	'query_var' => true
        )  
    );  
} 

add_action( 'init', 'eduline_testimonial_taxonomy');


function event_taxonomy() {  
    register_taxonomy(  
        'event_categories', 
        'event',        //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Event Categories',
            'query_var' => true
        )  
    );  
}  

add_action( 'init', 'event_taxonomy');

/*
* Load metabox admin styles
*/
function eduline_load_metabox_admin_styles(){
	wp_enqueue_style( 'jquery-ui', get_template_directory_uri().'/assets/metabox/jquery.ui.css' ); 
	wp_enqueue_style( 'meta-box', get_template_directory_uri().'/assets/metabox/meta-box.css' );
	wp_enqueue_script('jquery-ui-datepicker');
	wp_enqueue_script( 'meta-box', get_template_directory_uri().'/assets/metabox/meta-box.js',array('jquery'),'1.0.0',true );
}

add_action( 'admin_enqueue_scripts','eduline_load_metabox_admin_styles');


//Service Meta Box
require get_template_directory(). '/inc/metabox/service-meta-box.php';

//Team Meta Box
require get_template_directory(). '/inc/metabox/team-meta-box.php';

//Testimonial Meta Box
require get_template_directory(). '/inc/metabox/testimonial-meta-box.php';

// event Meta Box
require get_template_directory(). '/inc/metabox/event.php';