<?php

/**
 * Eduline_Pro Blog Settings panel at Theme Customizer
 *
 * @package Eduline_Pro
 * @since 1.0.0
 */
add_action( 'customize_register', 'eduline_blog_settings_register' );

function eduline_blog_settings_register( $wp_customize ) {

/**
 * Add Blog Settings Panel
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'eduline_blog_settings_panel',
    array(
        'priority'       => 15,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Settings', "eduline-pro" ),
    )
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Archive Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'eduline_blog_archive_options_section',
    array(
        'priority'       => 1,
        'panel'          => 'eduline_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Archive', "eduline-pro" ),
        'description'    => __( 'Choose the Blog Archive options to display at Blog Archive section', "eduline-pro" ),
    )
);


$wp_customize->add_setting('eduline_blog_archive_layout_settings', 
    array(
        'sanitize_callback' => 'eduline_sanitize_select',
        'default'           => 'right'
    )
);

$wp_customize->add_control('eduline_blog_archive_layout_settings', 
    array(
        'label'             => __( 'Blog Archive layouts', "eduline-pro" ),
        'description'       => esc_html__( 'eduline Blog Archive Layout settings', "eduline-pro" ),
        'section'           => 'eduline_blog_archive_options_section',
        'type'              => 'radio',
        'choices'           => array(
            'right'         => esc_html__('Right Sidebar',"eduline-pro"),
            'left'         => esc_html__('Left Sidebar',"eduline-pro"),
            'none'         => esc_html__('None',"eduline-pro"),
        ),
        'settings'          => 'eduline_blog_archive_layout_settings'
    ) 
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Single Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'eduline_blog_single_options_section',
    array(
        'priority'       => 2,
        'panel'          => 'eduline_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Single', "eduline-pro" ),
        'description'    => __( 'Choose the Blog Single options to display at Blog Single section', "eduline-pro" ),
    )
);


$wp_customize->add_setting('eduline_blog_single_layout_settings', 
    array(
        'sanitize_callback' => 'eduline_sanitize_select',
        'default'           => 'right'
    )
);

$wp_customize->add_control('eduline_blog_single_layout_settings', 
    array(
        'label'             => __( 'Blog Single layouts', "eduline-pro" ),
        'description'       => esc_html__( 'eduline Blog Single Layout settings', "eduline-pro" ),
        'section'           => 'eduline_blog_single_options_section',
        'type'              => 'radio',
        'choices'           => array(
         'right'         => esc_html__('Right Sidebar',"eduline-pro"),
         'left'         => esc_html__('Left Sidebar',"eduline-pro"),
         'none'         => esc_html__('None',"eduline-pro"),
     ),
        'settings'          => 'eduline_blog_single_layout_settings'
    ) 
);
}