<?php 
/**
 *
 * @package Eduline_Pro
 * @since 1.0.0
 */

add_action( 'customize_register', 'eduline_frontpage_reordering_settings_register' );

function eduline_frontpage_reordering_settings_register( $wp_customize ) {
//Section reordering 
	$wp_customize->add_section( 'eduline_front_page_ordering', array(

		'priority'       => 1,
		'title'          => __( 'Frontpage Ordering', 'eduline-pro' ),
		'capability'     => 'edit_theme_options'
	) );

	$wp_customize->add_setting('eduline_front_page_ordering_setting', array(
		'default' => '',
		'type' => 'customtext',
		'capability' => 'edit_theme_options',
		'transport' => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Eduline_FrontPage_Reordering_Customize( $wp_customize, 'eduline_front_page_ordering_setting', array(
		'section' => 'eduline_front_page_ordering',
		'settings' => 'eduline_front_page_ordering_setting'
	) ) 
);
}
if( class_exists( 'WP_Customize_Control' ) ) {

// Eduline Pro reordering sectioon
	class Eduline_FrontPage_Reordering_Customize extends WP_Customize_Control {
		public $type = 'customtext';
            public $extra = ''; // we add this for the extra description
            public function render_content() {
                 ?>
                 <form method="post"  id="theme-options-form">
                      <?php settings_fields( 'reordering-settings-group' ); ?>
                      <?php do_settings_sections( 'reordering-settings-group' ); ?>
                      <div class="admin-module"> 
                           <ul class="filter-fields-list">
                                <?php 
                                $filter_fields_order = get_option('filter_fields_order',hash_frontpage_array()); 
                                foreach($filter_fields_order as $value) { ?>

                                     <?php
                                     if(isset($value['id'])) { $id = $value['id']; }
                                     if(isset($value['name'])) { $name = $value['name']; }
                                     if(isset($value['slug'])) { $slug = $value['slug']; }
                                     ?>

                                     <li class="sortable-item">
                                          <i class="fa fa-eye"></i> <?php echo $name; ?>
                                          <input type="hidden" name="filter_fields_order[<?php echo absint( $id ); ?>][id]" value="<?php echo absint( $id ); ?>" />
                                          <input type="hidden" name="filter_fields_order[<?php echo absint( $id ); ?>][name]" value="<?php echo esc_attr($name); ?>" />
                                          <input type="hidden" name="filter_fields_order[<?php echo absint( $id ); ?>][slug]" value="<?php echo esc_attr($slug); ?>" />
                                    </li>
                              <?php } ?>
                        </ul>
                  </div>
            </form>
      <?php   }
} 
}