<?php if(get_theme_mod('eduline_blog_enable')):?>
	<!-- Blogs -->
	<section class="blog section">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section-title">
						<?php
						$blog_title = get_theme_mod('eduline_blog_title');
						$queried_post = get_post($blog_title);
						?>
						<h2><?php echo esc_html($queried_post->post_title); ?></h2>
						<p><?php echo esc_html($queried_post->post_content); ?></p>
						<?php wp_reset_postdata(); ?>

					</div>
				</div>
			</div>
			<div class="row">
				<?php
				$blog_catId = esc_attr(get_theme_mod( 'eduline_blog_category_id'));
				$blog_number = get_theme_mod('eduline_blog_number');
				$args = array(
					'post_type' => 'post',
					'posts_per_page' => $blog_number,
					'post_status' => 'publish',
					'cat' => $blog_catId,

				);

				$blogloop = new WP_Query($args);

				while ($blogloop->have_posts()) : 
					$blogloop->the_post(); 
					?>
					<div class="col-lg-4 col-md-4 col-12">
						<!-- Single Blog -->
						<div class="single-blog">
							<?php if(has_post_thumbnail()): ?>
								<div class="blog-head">
									<?php the_post_thumbnail();	?>
								</div>
							<?php endif;?>	
							<div class="blog-content">
								<div class="date"><i class="fa fa-calendar"></i> <?php echo get_the_date( 'F d, Y'); ?><span><?php	$category_detail=get_the_category(get_the_ID());//$post->ID
								foreach($category_detail as $cd){
									echo esc_html($cd->cat_name);
								}
								?>	</span></div>
								<h4 class="blog-title"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h4>
								<div class="bottom">
									<img src="<?php echo esc_url(get_avatar_url( get_the_ID() ));?>">
									<div class="content">
										<p><?php eduline_posted_by();?></p>
									</div>
								</div>
							</div>
							<!-- End Single Blog -->
						</div>
					</div>
				<?php endwhile;
				wp_reset_postdata();
				?>
			</div>
		</div>
	</section>
	<!--/ End Blogs -->
<?php endif;?>