<?php if(get_theme_mod('eduline_course_enable')):?>
	<!-- Courses -->
	<section class="courses section-bg section">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section-title">
						<?php
						$course_title = get_theme_mod('eduline_course_title');
						$queried_post = get_post($course_title);?>
						<h2><?php echo esc_html($queried_post->post_title); ?></h2>
						<p><?php echo esc_html($queried_post->post_content); ?></p>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-12">
					<div class="course-slider">
						<?php
						$course_number = get_theme_mod('eduline_course_number');
						$args    = array(
							'post_type'      => 'lp_course',
							'post_status'    => 'publish',
							'posts_per_page' => absint( $course_number ),
							'orderby' => 'post__in',
						);
						$courses = new WP_Query( $args );

						if ( $courses->have_posts() ) {
							while ( $courses->have_posts() ) { 
								$courses->the_post();
								$postid   = get_the_ID();
								$duration = get_post_meta( $postid, '_lp_duration',true );
								$buycourse = get_theme_mod('eduline_buy_course_text');
								?>
								<!-- Single Course -->

								<div class="single-course">
									<div class="course-head overlay">
										<?php if(has_post_thumbnail()):
											the_post_thumbnail();
										endif;?>
										<a href="<?php the_permalink();?>" class="btn"><?php echo esc_html($buycourse);?><i class="fa fa-book" aria-hidden="true"></i></a>
									</div>
									<div class="single-content">
										<h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
										<?php the_excerpt();?>
										<div class="content-bottom">
											<div class="date"><i class="fa fa-folder-open"></i> <?php $terms =  get_the_terms( $postid, 'course_category' );
											if ( $terms && ! is_wp_error( $terms ) ) {?>
												<?php echo esc_html($terms[0]->name);?>
												<?php }?></div>
												<div class="price"><p class="amount"><?php eduline_course_price();?></p></div>
											</div>
										</div>
										<div class="course-meta">
											<div class="comment"><p><i class="fa fa-users" aria-hidden="true"></i><?php eduline_course_students();?></p></div>
										</div>
									</div>
									<!--/ End Single Course -->
								<?php }
							} ?>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!--/ End Courses -->
		<?php endif;?>	