<?php if(get_theme_mod('eduline_team_enable')): ?>
	<!-- Team -->
	<section class="team section">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section-title">
						<?php
						$team_title = get_theme_mod('eduline_team_page_title');
						$queried_post = get_post($team_title);
						?>
						<h2><?php echo esc_html($queried_post->post_title); ?></h2>
						<p><?php echo esc_html($queried_post->post_content); ?></p>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
			<div class="row">
				<?php
				$team_number = get_theme_mod('eduline_team_number');
				$args = array(
					'post_type' => 'team',
					'posts_per_page' => absint( $team_number ),
					'post_status' => 'publish',
				);
				$teamloop = new WP_Query($args);
				if ( $teamloop->have_posts() ) :
					while ($teamloop->have_posts()) : 
						$teamloop->the_post(); 
						?>
						<div class="col-lg-4 col-md-4 col-12">
							<?php $saved = get_post_meta( get_the_ID(), '_team', true );
					  $defaults = _team_metabox_defaults(); // Get the default values
					  $details = wp_parse_args( $saved, $defaults ); // Merge the two in case any fields don't exist in the saved data
					  ?>
					  <!-- Single Team -->
					  <div class="single-team">
					  	<?php if(has_post_thumbnail()): ?>
					  		<?php the_post_thumbnail(); ?> 
					  	<?php endif; ?>
					  	<div class="team-content">
					  		<ul class="social">
					  			<?php if( $details['facebook_url'] ):?>
					  				<li><a href="<?php echo esc_url( $details['facebook_url'] ); ?>"><i class="fa fa-facebook"></i></a></li>
					  			<?php endif;?>
					  			<?php if($details['twitter_url'] ):?>
					  				<li><a href="<?php echo esc_url ( $details['twitter_url'] ); ?>"><i class="fa fa-twitter"></i></a></li>
					  			<?php endif;?>
					  			<?php if( $details['linkedin_url'] ):?>
					  				<li><a href="<?php echo esc_url( $details['linkedin_url'] ); ?>"><i class="fa fa-linkedin"></i></a></li>
					  			<?php endif;?>
					  			<?php if( $details['behance_url'] ):?>
					  				<li><a href="<?php echo esc_url( $details['behance_url'] ); ?>"><i class="fa fa-behance"></i></a></li>
					  			<?php endif;?>
					  		</ul>
					  		<h4><?php the_title();?></h4>
					  		<p><?php echo esc_html( $details['age'] ); ?>-<span><?php echo esc_html( $details['position'] ); ?></span></p>
					  	</div>
					  </div>
					  <!--/ End Single Team -->
					</div>
				<?php endwhile;
			endif;
			wp_reset_postdata();
			?>
		</div>
	</div>
</section>
<!--/ End Team -->
<?php endif;?>