<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Eduline_Pro
 */
?>
<div class="row">
	<?php 
	if(get_theme_mod('eduline_blog_archive_layout_settings') == 'right'):?>
		<div class="col-lg-9 col-12">	
			<div class="row">
				<?php
				if ( have_posts() ) :

					if ( is_home() && ! is_front_page() ) :
						?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
					<?php
				endif;
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'blog-archive/archive', 'sidebar' );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
		<div class="row">
			<div class="col-12">
				<!-- Start Pagination -->
				<?php eduline_pagination();?>
				<!--/ End Pagination -->
			</div>
		</div>	
	</div>


</div>
<div class="col-lg-3 col-12">
	<div class="blog-sidebar">
		<!-- Single Widget -->
		<?php get_sidebar();?>
		<!--/ End Single Widget -->
	</div>
</div>
<?php 
elseif (get_theme_mod('eduline_blog_archive_layout_settings') == 'left'):?>
	<div class="col-lg-3 col-12">
		<div class="blog-sidebar">
			<!-- Single Widget -->
			<?php get_sidebar();?>
			<!--/ End Single Widget -->
		</div>
	</div>

	<div class="col-lg-9 col-12">	
		<div class="row">
			<?php
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) :
					?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'blog/archive', 'sidebar' );
			endwhile;
			the_posts_navigation();
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
		<div class="row">
			<div class="col-12">
				<!-- Start Pagination -->
				<?php eduline_pagination();?>
				<!--/ End Pagination -->
			</div>
		</div>
	</div>

</div>
<?php else:
	get_template_part( 'template-parts/content',get_post_type());
endif;?>
</div>	