<?php
function eduline_testimonial_add_meta_box() {
	add_meta_box( 'testimonial_designation', 'Testimonial Designation', 'eduline_testimonial_designation_callback', 'testimonial', 'normal', 'high' );
}

add_action( 'add_meta_boxes', 'eduline_testimonial_add_meta_box' );

function eduline_testimonial_designation_callback( $post ) {
	wp_nonce_field( 'eduline_save_testimonial_designation_data', 'eduline_testimonial_designation_meta_box_nonce' );
	
	$value = get_post_meta( $post->ID, '_testimonial_designation_value_key', true );?>
	<div class="admin_metabox_section">	
		<label for="eduline_testimonial_designation_field"><?php esc_html_e('Designation','eduline-pro');?></lable>
		<input type="text" id="eduline_testimonial_designation_field" name="eduline_testimonial_designation_field" value="<?php echo esc_attr( $value );?>" size="25" />
	</label>
<?php }


function eduline_save_testimonial_designation_data( $post_id ) {
	
	if( ! isset( $_POST['eduline_testimonial_designation_meta_box_nonce'] ) ){
		return;
	}
	
	if( ! wp_verify_nonce( $_POST['eduline_testimonial_designation_meta_box_nonce'], 'eduline_save_testimonial_designation_data') ) {
		return;
	}
	
	if( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return;
	}
	
	if( ! current_user_can( 'edit_post', $post_id ) ) {
		return;
	}
	
	if( ! isset( $_POST['eduline_testimonial_designation_field'] ) ) {
		return;
	}
	
	$my_data = sanitize_text_field( $_POST['eduline_testimonial_designation_field'] );
	
	update_post_meta( $post_id, '_testimonial_designation_value_key', $my_data );
	
}

add_action( 'save_post', 'eduline_save_testimonial_designation_data' );