<?php if(get_theme_mod('eduline_banner_enable')):
	$banner_tag_title = get_theme_mod( 'eduline_banner_tag_text', __( 'Accelerate your future', 'eduline-pro' ) );
	$banner_sub_title = get_theme_mod('eduline_banner_sub_title');
	$banner_page = get_theme_mod('eduline_banner_title');
	$banner_img_url = get_the_post_thumbnail_url($banner_page);
	$queried_post =  get_post($banner_page);
	?>
	<!-- Hero Area -->
	<section class="hero-area overlay" data-stellar-background-ratio="0.5" style="background-image:url(<?php echo esc_url($banner_img_url);?>);">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="inner-head">
						<div class="row">
							<div class="col-lg-7">
								<div class="slider-text">
									<span class="short"><?php echo esc_html($banner_tag_title);?></span>
									<h1><?php echo esc_html($queried_post->post_title);?> <span><?php echo esc_html($banner_sub_title);?></span></h1>
									<p><?php echo esc_html($queried_post->post_content);?></p>
									<?php wp_reset_postdata(); ?>
								</div>
							</div>
						</div>
						<!-- Trip Search -->
						<div class="search-main">
							<div class="search-form">
								<form method="POST" action="<?php echo esc_url(home_url('/'));?>" class="form">
									<input type="hidden" class="form-control" placeholder="<?php esc_attr_e('Search','eduline-pro');?> ..." value="<?php echo get_search_query(); ?>" name="s" aria-label="Search">
									<div class="row">
										<div class="col-lg-3 col-md-6 col-12">
											<!-- Single Form -->
											<div class="form-group">
												<h4><?php esc_html_e( 'Category', 'eduline-pro' );?> </h4>
												<?php
												$args_category = array(
													'taxonomy' => 'course_category',
													'show_option_all'    => 'Choose Category',
													'class' => 'form-control',
													'name' => 'course_category',
													'value_field' => 'slug',
													'id'      => 'course_category',
													'selected' => '',
												);
												wp_dropdown_categories( $args_category );
												?>
											</div>
											<!--/ End Single Form -->
										</div>
										<div class="col-lg-3 col-md-6 col-12">
											<!-- Single Form -->
											<div class="form-group">
												<h4><?php esc_html_e( 'Instructor', 'eduline-pro' );?> </h4>
												<?php
												$args_instructor = array(
													'show_option_all'    => 'Choose Instructor',
													'show'                    => 'display_name',
													'class' => 'form-control',
													'name' => 'user',
													'id'      => 'user',
													'selected' => false,
												);
												wp_dropdown_users( $args_instructor );?>
											</div>
											<!--/ End Single Form -->
										</div>
										<div class="col-lg-3 col-md-6 col-12">
											<!-- Single Form -->
											<div class="form-group duration">
												<h4><?php esc_html_e( 'Price', 'eduline-pro' );?></h4>
												<input type="number" size="30" id="_lp_price" class="rwmb-number" name="_lp_price" class="form-control" placeholder="Enter Price">
											</div>
											<!--/ End Single Form -->
										</div>
										<div class="col-lg-3 col-md-6 col-12">
											<!-- Form Button -->
											<div class="form-group button">
												<button type="submit" class="btn"><?php esc_html_e( 'Search', 'eduline-pro' );?></button>
											</div>
											<!--/ End Form Button -->
										</div>
									</div>
								</form>
							</div>
						</div>
						<!--/ End Trip Search -->
					</div>
				</div>
			</div>
		</div>
	</section>
	<!--/ End Hero Area -->
	<?php endif;?>