<?php if(get_theme_mod('eduline_events_enable')):?>
	<!-- Events -->
	<section class="events section">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section-title">
						<?php
						$event_title = get_theme_mod('eduline_events_title');
						$queried_post = get_post($event_title);
						?>
						<h2><?php echo esc_html($queried_post->post_title); ?></h2>
						<p><?php echo esc_html($queried_post->post_content); ?></p>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
			<div class="row">
				<?php  
				$event_number =  get_theme_mod('eduline_events_number');
				$args = array(
					'post_type' => 'event',
					'posts_per_page' => $event_number,
					'post_status' => 'publish',
					'paged' => 1,
				);
				$eventloop = new WP_Query($args);
				if ( $eventloop->have_posts() ) :
					while ($eventloop->have_posts()) : $eventloop->the_post(); 
						$saved = get_post_meta( $post->ID, '_event', true ); // Get the saved values
						$defaults = _event_metabox_defaults(); // Get the default values
						$details = wp_parse_args( $saved, $defaults ); // Merge the two in case any fields don't exist in the saved data
						?>
						<!-- Single Event -->
						<div class="col-12">
							<div class="single-event">
								<div class="row">
									<div class="col-lg-2 col-md-2 col-12">
										<div class="date">
											<p><?php echo get_the_date( 'd' );?> <span><?php echo get_the_date( 'F, Y' );?></span></p>
										</div>
									</div>
									<div class="col-lg-5 col-md-5 col-12">
										<div class="cat">
											<p><?php the_title();?> <span><?php echo esc_html( $details['start_time'] ); ?> - <?php echo esc_html( date('j F, Y', strtotime($details['start_date'])) ); ?> <?php esc_html_e( 'To', 'eduline-pro' );?> <?php echo esc_html( $details['end_time'] ); ?> - <?php echo esc_html( date('j F, Y', strtotime($details['end_date'])) ); ?></span></p>
										</div>
									</div>
									<div class="col-lg-3 col-md-3 col-12">
										<div class="location">
											<i class="fa fa-map-marker" aria-hidden="true"></i>
											<div class="content">
												<p><?php echo esc_html($details['address']); ?></p>
											</div>
										</div>
									</div>
									<div class="col-lg-2 col-md-2 col-12">
										<?php if(has_post_thumbnail()): ?>
											<div class="image">
												<?php the_post_thumbnail(); ?> 
											</div>
										<?php endif; ?>
									</div>
								</div>
							</div>
						</div>
						<!-- /End Single Event -->
					<?php endwhile;
					wp_reset_postdata();
				endif;
				?>
			</div>
		</div>
	</section>
	<!--/ End Events -->
	<?php endif;?>