<?php if(get_theme_mod('eduline_service_enable')):?>
	<!-- Why Choose -->
	<section id="why-choose" class="why-choose section">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="section-title">
						<?php
						$service_title = get_theme_mod('eduline_service_page_title');
						$queried_post = get_post($service_title);
						$image_url = get_the_post_thumbnail_url($service_title);
						?>
						<h2><?php echo esc_html($queried_post->post_title); ?></h2>
						<p><?php echo esc_html($queried_post->post_content); ?></p>
						<?php wp_reset_postdata(); ?>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-7 col-md-12 col-12">
					<div class="row">
						<?php
						$service_number = get_theme_mod('eduline_service_number');
						$args = array(
							'post_type' => 'service',
							'posts_per_page' => absint( $service_number ),
							'post_status' => 'publish',
						);
						$serviceloop = new WP_Query($args);
						if ( $serviceloop->have_posts() ) :
							while ($serviceloop->have_posts()) : 
								$serviceloop->the_post(); 
								?>
								<div class="col-lg-6 col-md-6 col-12">
									<!-- Choose Single -->
									<div class="choose-single">
										<?php $value = get_post_meta( get_the_ID(), '_service_icon_value_key', true );?>
										<i class="<?php echo esc_attr($value); ?>" aria-hidden="true"></i>
										<div class="content">
											<h4><?php the_title();?></h4>
											<?php the_excerpt();?>
										</div>
									</div>
									<!--/ End Choose Single -->
								</div>
							<?php endwhile;
						endif;
						wp_reset_postdata();
						?>    
					</div>
				</div>
				<div class="col-lg-5 col-md-12 col-12">
					<!-- Choose Single -->
					<div class="why-image">
						<img src="<?php echo esc_url($image_url);?>" alt="#">
					</div>
					<!--/ End Choose Single -->
				</div>
			</div>
		</div>
	</section>
	<!-- End Why Choose -->
	<?php endif;?>